iOS 3.1 Newer apps on older software version

Discussion in 'iOS Jailbreak & Cydia' started by OmriSama, Sep 3, 2010.

  1. OmriSama

    OmriSama New Member

    Joined:
    Sep 3, 2010
    Messages:
    5
    Likes Received:
    0
    Well, Epic Citadel just came out. And I want to play it.

    So I go to the App store and try to download it, and I can't because I'm on 3.1.3 and I need iOS4, which is oddly called 3.2.0 (that's the version number for iOS4, right?)

    Anyway, I think I've heard of a Cydia app that lets you launch applications that require a newer version on a older iPod. I'd like to know if this is possible.

    If not, how can I upgrade my iPod (Touch 3G) to iOS4 while keeping my Jailbreak and all my Jailbroken items?

    Thanks.
  2. P O W E R

    P O W E R Member

    Joined:
    Jul 17, 2010
    Messages:
    201
    Likes Received:
    0
    Device:
    iPad
    Get pkgbackup from Cydia, backup your jailbroken items, upgrade to 4.0, go to jailbreakme.com from your safari browser, "slide to jailbreak."

    I really don't know if you can put 4.0 apps on older software, considering newer apps (like iBooks) require kernels that are only on iOS 4.
  3. Appman

    Appman Community Development Staff Member

    Joined:
    Jul 9, 2009
    Messages:
    4,034
    Likes Received:
    56
    Device:
    4G iPod touch
    Yes, use pkgbackup and follow the steps POWER gave you. And no, you can't run iOS 4 apps on 3.x, it would be different, for example, if you were running 3.1.3 apps on 3.1.2.
  4. I_R_CH33F

    I_R_CH33F Banned

    Joined:
    Aug 24, 2010
    Messages:
    273
    Likes Received:
    0
    Device:
    iPhone 4 (Black)
    Spoof the firmware.

    Fine the Systemversion.plist and edit the 3.1.3 to 4.0
  5. Lux2GS

    Lux2GS Well-Known Member

    Joined:
    Jul 1, 2010
    Messages:
    3,678
    Likes Received:
    138
    Device:
    iPhone 4S (Black)
    It will not work, spoofing the firmware is not a solution. just download iOS 4
  6. OmriSama

    OmriSama New Member

    Joined:
    Sep 3, 2010
    Messages:
    5
    Likes Received:
    0
    Hmm, I need to upgrade to the latest Jailbreakable version of iOS right? How do I do that? In iTunes I just have to Alt+Shift with a iOS4 Firmware for iPod Touch 3G?
    I haven't updated iTunes in forever though. I only have 9.1.0.
  7. iBricked

    iBricked Well-Known Member

    Joined:
    Apr 16, 2010
    Messages:
    5,874
    Likes Received:
    39
    Device:
    iPhone 5S
    Shift+REstore to ios4

    Itunes 9.2 is requirede maybe forgots.

    3.2 is iPad lowest version so ipad 3.2 or higher
    or 4.0 or higher
  8. OmriSama

    OmriSama New Member

    Joined:
    Sep 3, 2010
    Messages:
    5
    Likes Received:
    0
    So I went to Cydia to get pkgbackup... it gives me a notification that there needs to be updates done for my stuff. So I choose to do a complete upgrade. I do it, doesn't take too long. I press Restart Springboard... and now it's restarting and it's been taking forever. The little thing is still spinning in the middle... what do I do? I had a HUGE list of stuff that needed to be upgraded btw.

    EDit: Did reboot... it's on Apple logo now. Don't know what's gonna happen.

    EDIT 2: OK it's back to Springboard... it's normal... everything seems fine I think... I'm scared to go back into Cydia though. But now that makes me all worried about having a jailbreak since I never know if it could get ****ed up and... I'm just paranoid cus you know, iPods are expensive.

Share This Page